<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>点击按钮，复制文本框中的的内容</title>
</head>
<body>
    <textarea cols="20" rows="10" id="textId">用户定义的代码区域</textarea>
    <input type="button" onClick="copyTextarea()" value="点击复制代码" />
    <script>
        /**
         * 原理：点击按钮的时候触发copyTextarea函数，根据textId ID选中对象，然后在根据execCommand复制选中内容，
         * 所以此时选择的内容必须是可视的，也就是说不能是隐藏的文本域。
         */
        function copyTextarea(){
            var textArea=document.getElementById("textId");
            textArea.select(); // 选择对象
            // 已废弃
            document.execCommand("Copy"); // 执行浏览器复制命令
            alert("已复制好，可贴粘。");
        }
    </script>
</body>
</html>